Please select Into the mobile phone version | Continue to access the computer ver.
New Fly app v1.4.8 build 1120 Experiences
2067 38 7-5 20:17
Uploading and Loding Picture ...(0/1)
o(^-^)o
Switch639
lvl.4
Germany
Offline

hello guys I tested my drone on the weekend since updating the app like 3 times last week because of continious app build changes

just want to share my experience with it. I have noticed the same like many of you the app lagging the video feed. also I do everytime
delete the whole DJI old app and also the DJI folder all together from my phone when installing the new app. so I wipe all existance

also I did notice a whole lot more GPS signal lost or bad/weak even though I was at 4 bars. also being at 4 bars of connection the lagging
took place. I flew also in the same place like I usually do to test. I could get the drone in this exact spot up to 2KM before having signal issues.
now it started having signal issues at 1.5km approx out. Def I don't have the smooth experience which I use to with the oldest app which we
used from some months before the latest updates started popping up

7-5 20:17
Use props
djiuser_nO2RdSW5BSUg
Second Officer
Flight distance : 5601440 ft
Poland
Offline

I fully agree with you. My flight data stops reading, then the entire application freezes. This is unacceptable.
7-5 21:25
Use props
DJI Susan
Administrator

Offline

Hi Switch639, I am sorry for the issue. May I know which phone you are using and could you please provide a screen recording of the issue for further investigation? Look forward to hearing back from you.
7-5 23:10
Use props
Alvara74
First Officer

United Kingdom
Offline

Its probably a bug that got released in the new version of the app
7-5 23:13
Use props
Alvara74
First Officer

United Kingdom
Offline

Hopefully, they can fix it soon
7-5 23:13
Use props
djiuser_mvWqVy3GRe4H
lvl.2
Flight distance : 3735784 ft
Greece
Offline

Same here. Tried with Poco X and Samsung TabA. App is crashing
7-6 02:50
Use props
LoveYou
Second Officer
Flight distance : 248366 ft
Greece
Offline

How to get 1.4.4 download link any know?
7-6 03:11
Use props
DowntownRDB
Captain
Flight distance : 525 ft
United States
Offline

LoveYou Posted at 7-6 03:11
How to get 1.4.4 download link any know?

You can get it here:  DJI FLY APP
7-6 04:13
Use props
lsarribanca
lvl.4
Flight distance : 474439 ft
Angola
Offline

Just can’t get the obstacle advice info on the new atitude indicator flying my Air 2S on Smart Controller updated within Fly App 1.4.8 (1120). Only works on IOS or other android phones?
7-6 04:16
Use props
djiuser_KtbCIJgSx89f
lvl.1

Malaysia
Offline

Yeah. The latest update make the apps lag. My own experience when the drone in low battery I cannot landing the drone until wait the drone landing itself. Maybe dji could do something for next update.
7-6 04:53
Use props
LoveYou
Second Officer
Flight distance : 248366 ft
Greece
Offline

DowntownRDB Posted at 7-6 04:13
You can get it here:  DJI FLY APP

Thank you ....
7-6 06:58
Use props
djiuser_0sznpSoW5hVC
Second Officer
Flight distance : 15164 ft
Canada
Offline

djiuser_nO2RdSW5BSUg Posted at 7-5 21:25
I fully agree with you. My flight data stops reading, then the entire application freezes. This is unacceptable.

Has anyone else got the same issue with the flight data? I was on 1.4.4 and upgraded to 1.4.8 and BOTH versions failed to show my flight logs.
7-6 07:55
Use props
djiuser_IJguQk50Tp40
lvl.1
Flight distance : 303573 ft
Russia
Offline

My flight data stops reading too and (second) I can't use fpv flight mode. It was on v. 1.4.8 build 1116, I downloaded build 1120, but it was repeated. My first version was 1.4.2 and it was perfect. I'm using xiaomi note 8t phone.
7-6 11:43
Use props
K6CCC
First Officer
Flight distance : 651683 ft
United States
Offline

djiuser_0sznpSoW5hVC Posted at 7-6 07:55
Has anyone else got the same issue with the flight data? I was on 1.4.4 and upgraded to 1.4.8 and BOTH versions failed to show my flight logs.

I flew four flights Sunday evening to watch fireworks shows using my Samsung Galaxy Tab A with 1.4.8 (build 1120) and it worked perfectly.  I don't have the tablet here, but I just looked at both my Android phone and my #$$%^% iPhone, and they both show the four flights in the Flight Data Center and I'm watching the reply (if you want to call it that) of one flight on the iPhone and a different one on the Android.  Appears to be working correctly on both phones.
The Android phone is v1.4.8 (build 1120)
The &^%$# iPhone is v1.4.8 (477)
7-6 14:23
Use props
Switch639
lvl.4
Germany
Offline

DJI Susan Posted at 7-5 23:10
Hi Switch639, I am sorry for the issue. May I know which phone you are using and could you please provide a screen recording of the issue for further investigation? Look forward to hearing back from you.

Hello thanks for the reply...

I would rather say that what are the new spesifications then for our phones?
we all have 4GB ram phones at least or more and octa processors I hope.

if so do we need to have now a certain spesification phone? could we get the
new spesifications somewhere?

with the old app our current phones were all good so meaning eather the app
needs more power or it has bugs causing our phones to lag cause its eating
more processor power

7-6 22:28
Use props
DJI Susan
Administrator

Offline

Switch639 Posted at 7-6 22:28
Hello thanks for the reply...

I would rather say that what are the new spesifications then for our phones?

Hi, thank you for getting back, in general, DJI Fly requires Android 6.0 or above, or iOS 11.0 or above.
There are numerous phones in the market, even when the system meets the requirements in general, the software/hardware may be slightly different on different mobile devices, which may affect the usage of the DJI apps.
We would be able to provide the compatibility list for users' reference. Surely, phones that are not listed on the mobile device do not mean they can not work with DJI apps.
Hence, when an issue existed, we hope users provide the information to us so we can ask the engineers to confirm if it relates to the app and can be solved by the app's update, or it is the compatibility issue of the mobile device and may need to try with a different device. Thank you for your understanding.
7-6 23:50
Use props
DowntownRDB
Captain
Flight distance : 525 ft
United States
Offline


You're most welcome.    Always glad to help.  
7-7 03:02
Use props
Switch639
lvl.4
Germany
Offline

DJI Susan Posted at 7-6 23:50
Hi, thank you for getting back, in general, DJI Fly requires Android 6.0 or above, or iOS 11.0 or above.
There are numerous phones in the market, even when the system meets the requirements in general, the software/hardware may be slightly different on different mobile devices, which may affect the usage of the DJI apps.
We would be able to provide the compatibility list for users' reference. Surely, phones that are not listed on the mobile device do not mean they can not work with DJI apps.

my next question would be... did this list change since the new app update? or has this list been the same since we all used the previous  versions of the app?
7-7 03:04
Use props
Abel nt
lvl.3
Spain
Offline

Today i was flyng with no problems , but at end Was not possible stop recording because app freeze...reset pone, connect again, and stop recording works  .
Controller button does not work either...
7-7 03:41
Use props
Ph3onix
Second Officer
Flight distance : 1380679 ft
France
Offline

Hello to all the pilots, here I want to share with you my first experience with the Mini 2 that I received this day, I already have the Mavic mini and also other drones .. by this message i give you my first impression but also a possible advice, i have therefore charged the batteries (which arrive completely empty what i found very strange, is it normal? ) I made the updates that the drone ask me and the application also then I went flying, and first deception, in the same place or with the Mini 1 I travel more than 3km (in the countryside without any building or even house ) with the Mini 2 signal loss and black screen has 1155 m and more than any way to have back video also in the devs plugging in the smatphone (Xiaomi redmi note 8t) so I pressed the RTH and even when the drone came over me the screen was still black, I rebooted to finally have a video return. I would like to know in your opinion what would be for you the best version other than 1.4.8 which would be the most stable? Thank you.
Another point that discomfited me and the quality of the 4K video of this drone I made the comparison with a video of my Mini 1 that of course and in 2.7k and well it is better than the Mini 2 in 4k and I am very amazed.
I'm very out of touch with this Mini 2!
1/Or did I come across a drone with a problem?
So I'd like some advice on which app would be better other than 1.4.8 which apparently has some concerns to do more tests before I know if I should finally send its drone back.
Thank you for your attention.
7-7 11:52
Use props
manxphoto
lvl.3
Flight distance : 3797825 ft
Isle of Man
Offline

Ph3onix Posted at 7-7 11:52
Hello to all the pilots, here I want to share with you my first experience with the Mini 2 that I received this day, I already have the Mavic mini and also other drones .. by this message i give you my first impression but also a possible advice, i have therefore charged the batteries (which arrive completely empty what i found very strange, is it normal? ) I made the updates that the drone ask me and the application also then I went flying, and first deception, in the same place or with the Mini 1 I travel more than 3km (in the countryside without any building or even house ) with the Mini 2 signal loss and black screen has 1155 m and more than any way to have back video also in the devs plugging in the smatphone (Xiaomi redmi note 8t) so I pressed the RTH and even when the drone came over me the screen was still black, I rebooted to finally have a video return. I would like to know in your opinion what would be for you the best version other than 1.4.8 which would be the most stable? Thank you.
Another point that discomfited me and the quality of the 4K video of this drone I made the comparison with a video of my Mini 1 that of course and in 2.7k and well it is better than the Mini 2 in 4k and I am very amazed.
I'm very out of touch with this Mini 2!

I've also had issues with v1.4.8 (as have many people!), app totally locking up and needing restarting while in flight was the most usual, not always happening but probably more often than not, but interestingly only ever once in a flight. I removed v1.4.8 and re-installed v1.4.2 (which I have stored as a download on my phone) and that seemed to work perfectly.  I've just tried re-installing build 1120 again and so far in two flights no complete app crashes, but the compass did freeze up and then vanish on the second, needed a re-boot to get it back.  Unfortunately DJI just suggested that as my phone (Galaxy A71) wasn't on the 'approved' list, that I get another phone, which isn't the answer.  I'll do some more tests with v1.4.8 but if the problems persist, go back to 1.4.2 which seems to work perfectly.
7-8 00:45
Use props
Switch639
lvl.4
Germany
Offline

manxphoto Posted at 7-8 00:45
I've also had issues with v1.4.8 (as have many people!), app totally locking up and needing restarting while in flight was the most usual, not always happening but probably more often than not, but interestingly only ever once in a flight. I removed v1.4.8 and re-installed v1.4.2 (which I have stored as a download on my phone) and that seemed to work perfectly.  I've just tried re-installing build 1120 again and so far in two flights no complete app crashes, but the compass did freeze up and then vanish on the second, needed a re-boot to get it back.  Unfortunately DJI just suggested that as my phone (Galaxy A71) wasn't on the 'approved' list, that I get another phone, which isn't the answer.  I'll do some more tests with v1.4.8 but if the problems persist, go back to 1.4.2 which seems to work perfectly.

I agree telling us its our phones doesnt apply if the previous versions of apps worked correctly.
and would make sence if the new app needs more RAM or Processing power, but this wasnt the answer I got either. only a phone list which isnt applicable if old apps worked
7-8 01:10
Use props
Ph3onix
Second Officer
Flight distance : 1380679 ft
France
Offline

manxphoto Posted at 7-8 00:45
I've also had issues with v1.4.8 (as have many people!), app totally locking up and needing restarting while in flight was the most usual, not always happening but probably more often than not, but interestingly only ever once in a flight. I removed v1.4.8 and re-installed v1.4.2 (which I have stored as a download on my phone) and that seemed to work perfectly.  I've just tried re-installing build 1120 again and so far in two flights no complete app crashes, but the compass did freeze up and then vanish on the second, needed a re-boot to get it back.  Unfortunately DJI just suggested that as my phone (Galaxy A71) wasn't on the 'approved' list, that I get another phone, which isn't the answer.  I'll do some more tests with v1.4.8 but if the problems persist, go back to 1.4.2 which seems to work perfectly.

Hi thank you for your answer , so I will return to version 1.4.2 to do another test .
7-8 04:07
Use props
Ph3onix
Second Officer
Flight distance : 1380679 ft
France
Offline

Switch639 Posted at 7-8 01:10
I agree telling us its our phones doesnt apply if the previous versions of apps worked correctly.
and would make sence if the new app needs more RAM or Processing power, but this wasnt the answer I got either. only a phone list which isnt applicable if old apps worked

Hi I agree with you my smartphone has 4g of ram , and the app crashes if it continues soon it will take us more than 8 for it to work properly.
7-8 04:13
Use props
djiuser_0sznpSoW5hVC
Second Officer
Flight distance : 15164 ft
Canada
Offline

K6CCC Posted at 7-6 14:23
I flew four flights Sunday evening to watch fireworks shows using my Samsung Galaxy Tab A with 1.4.8 (build 1120) and it worked perfectly.  I don't have the tablet here, but I just looked at both my Android phone and my #$$%^% iPhone, and they both show the four flights in the Flight Data Center and I'm watching the reply (if you want to call it that) of one flight on the iPhone and a different one on the Android.  Appears to be working correctly on both phones.
The Android phone is v1.4.8 (build 1120)
The &^%$# iPhone is v1.4.8 (477)

So apparently after talking with support they asked me to switch on the option to auto sync my flight records. This actually worked and my flight data showed up. But cmon this is BS, I prefer to not auto sync my flight records to the cloud. They gave an option and I personally wanted to keep the files local. I guess somewhere along the way they really wanted our flight data?

I was using a oneplus 3t (the same phone I've been using since the mavic mini) and just thought the newer app versions made my phone incompatible. Guess not. My 3t still meets the requirements for the app (> Android version 6) so it annoys me when a new updated app version screws up what was working perfectly fine. Does anyone know if we can downgrade the app to say 1.4.2 safely? I updated all my battery/aircraft/RC firmware to the latest version so I'm not sure if it will cause conflicts with the drone.

So yeah pre 1.4.4: can see flight data without auto sync
post 1.4.4: need to sync flight data to cloud or else you can't view your flights
7-8 09:28
Use props
Nidge
First Officer

United Kingdom
Offline

DJI Susan Posted at 7-6 23:50
Hi, thank you for getting back, in general, DJI Fly requires Android 6.0 or above, or iOS 11.0 or above.
There are numerous phones in the market, even when the system meets the requirements in general, the software/hardware may be slightly different on different mobile devices, which may affect the usage of the DJI apps.
We would be able to provide the compatibility list for users' reference. Surely, phones that are not listed on the mobile device do not mean they can not work with DJI apps.

Can you please explain WHY devices that were on your list with version 1.4.0 have now been deleted.
I, and many other Huawei users, experienced severe issues with the release of 1.4.2. I now see that those devices have been deleted from your list.

To refresh your memory these are the Huawei devices that were on the DJI Fly compatible list when 1.4.0 was released.

Huawei
* Huawei Mate 30 Pro
* Huawei Mate 30
* Huawei Mate 20 Pro
* Huawei P30 Pro
* Huawei P30
* Huawei p30 lite
* Huawei P20 Pro
* Huawei P20
* Huawei P10 Plus
* Huawei P10
* Huawei Mate 10 Pro
* Huawei Mate 10
* Huawei nova 5
* Huawei nova 4
* Huawei nova 3e
* Huawei nova 2
* Honor 9
* Honor 9x
* Honor 10
* Huawei Honor 8X
* Huawei Honor V10
* Huawei Honor 20 Pro
* Huawei Honor Magic 2
* Honor 20 lite
* Honor View 20
* Huawei P10 lite
* Huawei P Smart 2018 (model: FIG-LX1)
* Huawei Mediapad M3
* Huawei Mediapad T5 (2019)
* Huawei MediaPad M5 Tablet 8.4″
7-9 07:44
Use props
Nidge
First Officer

United Kingdom
Offline

DJI Susan Posted at 7-6 23:50
Hi, thank you for getting back, in general, DJI Fly requires Android 6.0 or above, or iOS 11.0 or above.
There are numerous phones in the market, even when the system meets the requirements in general, the software/hardware may be slightly different on different mobile devices, which may affect the usage of the DJI apps.
We would be able to provide the compatibility list for users' reference. Surely, phones that are not listed on the mobile device do not mean they can not work with DJI apps.

Can you please explain WHY devices that were on your list with version 1.4.0 have now been deleted.
I, and many other Huawei users, experienced severe issues with the release of 1.4.2. I now see that those devices have been deleted from your list.

To refresh your memory these are the Huawei devices that were on the DJI Fly compatible list when 1.4.0 was released.

Huawei
* Huawei Mate 30 Pro
* Huawei Mate 30
* Huawei Mate 20 Pro
* Huawei P30 Pro
* Huawei P30
* Huawei p30 lite
* Huawei P20 Pro
* Huawei P20
* Huawei P10 Plus
* Huawei P10
* Huawei Mate 10 Pro
* Huawei Mate 10
* Huawei nova 5
* Huawei nova 4
* Huawei nova 3e
* Huawei nova 2
* Honor 9
* Honor 9x
* Honor 10
* Huawei Honor 8X
* Huawei Honor V10
* Huawei Honor 20 Pro
* Huawei Honor Magic 2
* Honor 20 lite
* Honor View 20
* Huawei P10 lite
* Huawei P Smart 2018 (model: FIG-LX1)
* Huawei Mediapad M3
* Huawei Mediapad T5 (2019)
* Huawei MediaPad M5 Tablet 8.4″
7-9 07:44
Use props
fansa9a8f3e1
lvl.3
Flight distance : 15614 ft
  • >>>
United Kingdom
Offline

Hi does anyone have any experience or  know if  motorola phones  are ok with DJI Fly app on android.

I have the moto g 5g plus ?
7-9 15:15
Use props
Switch639
lvl.4
Germany
Offline

Best is to try it out. You dont have to fly miles out. Just a take off and little fly around near you
7-9 21:07
Use props
AussieDronePilot
lvl.4
Flight distance : 1087464 ft
Australia
Offline

First flight using DJI Fly 1.4.8 on the iPhone 11 Pro, in the app, the flight is complete but when I upload to AirData the flight is only for 7 minutes and 35 seconds, when the flight was 24 minutes and 25 seconds. My three other flights recorded fine but not looked at them in detail.
Also noticed drop in signal strength (down to two bars, only at 300m in distance [at 116m AGL] and with no other sources for interference) and had jittery live video, regardless of signal strength.

I wonder if the same bug in the Android version is in the iPhone version as well.
7-10 00:48
Use props
Alvara74
First Officer

United Kingdom
Offline

DowntownRDB Posted at 7-6 04:13
You can get it here:  DJI FLY APP

Thank you!
7-10 00:59
Use props
Alvara74
First Officer

United Kingdom
Offline

Switch639 Posted at 7-9 21:07
Best is to try it out. You dont have to fly miles out. Just a take off and little fly around near you

Miles would be illegal too since VLOS is around 500m
7-10 01:00
Use props
Alvara74
First Officer

United Kingdom
Offline

djiuser_0sznpSoW5hVC Posted at 7-8 09:28
So apparently after talking with support they asked me to switch on the option to auto sync my flight records. This actually worked and my flight data showed up. But cmon this is BS, I prefer to not auto sync my flight records to the cloud. They gave an option and I personally wanted to keep the files local. I guess somewhere along the way they really wanted our flight data?

I was using a oneplus 3t (the same phone I've been using since the mavic mini) and just thought the newer app versions made my phone incompatible. Guess not. My 3t still meets the requirements for the app (> Android version 6) so it annoys me when a new updated app version screws up what was working perfectly fine. Does anyone know if we can downgrade the app to say 1.4.2 safely? I updated all my battery/aircraft/RC firmware to the latest version so I'm not sure if it will cause conflicts with the drone.

I think they collect flight data to improve new drones and provide updates.
7-10 01:01
Use props
DowntownRDB
Captain
Flight distance : 525 ft
United States
Offline


You're welcome.  
7-10 02:51
Use props
DronePerspectiv
lvl.3
Netherlands
Offline

djiuser_0sznpSoW5hVC Posted at 7-6 07:55
Has anyone else got the same issue with the flight data? I was on 1.4.4 and upgraded to 1.4.8 and BOTH versions failed to show my flight logs.

It looks like more flights in it how the longer it takes before the list is visible. There are now 86 flights in the log and before they are visible it is almost 40 seconds further.
7-10 07:35
Use props
DronePerspectiv
lvl.3
Netherlands
Offline

Just flown for an hour with version 1.4.8 And this is the worst update for me to date. I have had 3x a non-responding and 4x a spontaneous closure of the app. Why don't the previous firmware versions not just be available so that when it doesn't work properly can be reimbursed to an old one?
7-10 07:39
Use props
djiuser_0sznpSoW5hVC
Second Officer
Flight distance : 15164 ft
Canada
Offline

DronePerspectiv Posted at 7-10 07:39
Just flown for an hour with version 1.4.8 And this is the worst update for me to date. I have had 3x a non-responding and 4x a spontaneous closure of the app. Why don't the previous firmware versions not just be available so that when it doesn't work properly can be reimbursed to an old one?

you can get previous versions here: https://www.apkmirror.com/?post_ ... e=apk&s=dji+fly

The only question I have is whether it's okay to use older app versions with the most recent firmware
7-10 08:44
Use props
djiuser_0sznpSoW5hVC
Second Officer
Flight distance : 15164 ft
Canada
Offline

Alvara74 Posted at 7-10 01:01
I think they collect flight data to improve new drones and provide updates.

I'm well aware. They gave us an option to decide whether we synced through the cloud regardless
7-10 08:47
Use props
Alvara74
First Officer

United Kingdom
Offline

djiuser_0sznpSoW5hVC Posted at 7-10 08:47
I'm well aware. They gave us an option to decide whether we synced through the cloud regardless

Well then they shouldn't just force you to sync it if they provide everyone with an option...
7-10 08:52
Use props
Advanced
You need to log in before you can reply Login | Register now

Credit Rules